<?php
/**
 * Das Formular und die Klasse HM_Empfang_Message fuer den HM-Feedleser
 *
 * @package HM-Feedleser
 * @since HM-Feedleser 1.08
 */
    $gebeaus .= "<div class=\"formle\">\n".
    "\x20\x20<form action=\"".esc_url($_SERVER["HTTP_HOST"].$_SERVER["REQUEST_URI"])."\" method=\"post\">\n".
    "\t<input type=\"text\" name=\"abrufen\" size=\"60\" maxlength=\"120\" /><br />\n".
    "\t<input type=\"reset\" value=\" Reset \" />\n".
    "\t<input type=\"submit\" value=\" Abrufen \" />\n".
    "\x20\x20</form>\n".
    "</div>\n";

/*------------------------------------------------------------------------------------------------------------------
 Ueberpruefung der vom Formular uebermittelten URL, wobei die Klasse und das Objekt nur benoetigt wird, falls das
 Formular eingeblendet werden soll.
 -------------------------------------------------------------------------------------------------------------------
*/
class HM_Empfang_Message {

    private $dompath;
    public  $domain;

    public function pub_pruefe_Message() {

        if (isset($_POST["abrufen"]) and !empty($_POST["abrufen"])) {

            $abrufen = trim($_POST["abrufen"]);
            $abrufen = preg_replace("/[^a-zA-Z0-9.:?&\/=_-]/", "", $abrufen);
            $httppos = stripos($abrufen, "http://");

            if ($httppos === false) {
                $httpspos = stripos($abrufen, "https://");

                if ($httpspos === false) {
                $abrufen = "http://".$abrufen;
                }
            }
            $this->dompath = $abrufen;
            return $this->dompath;
        }
        else {
            $this->dompath = $this->domain;
            return $this->dompath;
        }
    }
}
?>