<?php
/**
 * Die editierbaren Einstellungen fuer den HM-Feedleser
 *
 * @package HM-Feedleser
 * @since HM-Feedleser 1.08
 */

/*--------------------------------------------------------------------------------------------------------------
 Das nachfolgende Array enthaelt einige Webadressen von Feeds, die nur als Beispiele und zur Erprobung des
 Plugins gedacht sind. Ein Austausch der URLs gegen andere Feeds und eine Erweiterung des Arrays durch Aufnahme
 weiterer URLs ist problemlos moeglich. Lediglich sollten die Eintragungen nach dem vorgegebenen Muster
 erfolgen, wobei insbesondere auf die paarweise Benutzung von Anfuehrungszeichen sowie auf ein abschliessendes
 Komma je Zeile zu achten ist. Ein Komma darf nur beim letzten Eintrag fehlen.
 ---------------------------------------------------------------------------------------------------------------
*/
$feedarr = array(

    "feed_01" => "http://www.coder-welten.de/projekte/testfeed.rss",
    "feed_02" => "http://www.coder-welten.com/feed/",
    "feed_03" => "http://www.coder-welten.com/category/allgemein/feed/",
    "feed_04" => "http://www.coder-welten.com/category/plugins/feed/"
);

/*--------------------------------------------------------------------------------------------------------------
 $ersatz = Bei $ersatz die Datei mit Pfad oder Web-Adresse eines zu ladenden Ersatz-Feeds angeben. Es sollte
 sich um eine Datei oder URL handeln, die bei Problemen als Ersatzseite geladen werden kann, wobei eine URL mit
 http:// einzutragen ist. Eine Aenderung ist nicht zwingend erforderlich.
 ---------------------------------------------------------------------------------------------------------------
*/
$ersatz  = "http://www.coder-welten.de/projekte/testfeed.rss";

/*--------------------------------------------------------------------------------------------------------------
 $formuse = Das Formular kann allgemein fuer eingeloggte User anzeigt werden (gleich "true"). Alternativ wird es
 nur angezeigt, wenn der Benutzer sich als Admin einloggte (gleich "false").
 ---------------------------------------------------------------------------------------------------------------
*/
$formuse = false;
$maximps = 12;                              // Maximale Anzahl der Ergebnisse pro Seite
$maxlang = 1000;                            // Die maximale Anzahl an Zeichen pro Feed
$linktex = "&raquo; Weiterlesen &laquo;";   // Linktext fuer den unteren Link
$feedtex = "Feed &raquo; ";                 // Fuer den einleitenden Titel des Feeds, kann auch leer "" bleiben

define("MAXWEITE", 250);                    // Maximale Hoehe fuer eingebundene Bilder angeben
define("MAXHOEHE", 250);                    // Maximale Weite fuer eingebundene Bilder angeben

/*--------------------------------------------------------------------------------------------------------------
 Diese Einstellungen sollten nur bei Bedarf editiert werden, zum Beispiel wenn ein Feed keine Description
 enthaelt oder Description und Content den selben Content enthalten, der dann doppelt eingeblendet werden
 wuerde, falls nicht ein Element von beiden ausgeblendet werden wird.
 ---------------------------------------------------------------------------------------------------------------
*/
$bodescr = true;                            // Description anzeigen gleich "true" oder ausblenden gleich "false"
$boconte = true;                            // Content anzeigen gleich "true" oder ausblenden gleich "false"
$bosumma = true;                            // Summary anzeigen gleich "true" oder ausblenden gleich "false"

/*------------------------------------------------------------------------------------------------------------------
 Weiterhin kann in der Datei feedleser.php die Variable $hm_feedcss editiert werden, um die zugehoerige Datei
 feedstyle.css zu nutzen und einzublenden oder auszublenden und nicht in den Head zu laden.
 -------------------------------------------------------------------------------------------------------------------
*/

?>